
QGIS Application - Bug report #2068

PostGIS attribute table annoyance

2009-11-08 08:19 AM - Ivan Mincik

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 12128

Description

After editing and saving [[PostGIS]] attribute data using 'attribute table', edited record is moving at the and of attribute table with no

respect to column sort order. Sometimes also during editing records are resorting  in unpleasant order. This behavior makes user

confusing, he/she can think that edited data has disappeared.

Try:

1. Open 'attribute table' of some [[PostGIS]] layer in editing mode.

2. Sort rows by column 'gid'.

3. Edit some attribute value (not gid), for example row with gid 5. Sometimes also at this point, records are reordered.

4. Save table. At this point, all changed rows are usually moved at the bottom of attribute table, no matter if I sort table by gid (which is not

changed).

Note:

It seams that this behavior is getting worse when table is edited and saved multiple times.

History

#1 - 2010-06-11 09:48 PM - Paolo Cavallini

Still true? Please chack with a newer version and close this if appropriate

#2 - 2010-06-11 10:50 PM - Ivan Mincik

Yes, it is still there. Test was made on latest trunk using Debian Lenny.

1. Import new polygon layer to [[PostGIS]] using SPIT plugin

2. Open attribute table and start to edit. By default records are ordered by 'gid'. Edit some attribute value and save. After doing this multiple times, edited

value will disappear on save (sometime it will be on the bottom of attribute table, sometimes nowhere). I will appear after manual reordering of table on

'gid' column.

Sometimes, when it was harder to reproduce this behavior, ordering by some other attribute column than 'gid', editing, saving, ordering by 'gid' again,

editing and saving helped me to reproduce.

#3 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:22 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

2025-04-27 1/2



- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:04 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-02 04:21 AM - Nathan Woodrow

- Assignee deleted (nobody -)

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- Pull Request or Patch supplied set to No

The attribute table has been reworked a bit since 1.7, and I can't reproduce on master.  Please reopen if still happening for you.

2025-04-27 2/2


